MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024898Open CASCADE[OCCT] OCCT:Testspublic2014-05-05 15:272015-05-14 15:32
Reporterifv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0024898: Test "bugs modalg_1 buc60782_1" is incorrect
DescriptionThe part of test, which is run when offset is created, is invalid:
....
    } else {
    puts "OK BUC60782: offset is created"
    tpcompound result
    }
....
Command tpcompound works only with results of reading from 3dparty format.
In other case it outputs:
Draw[9]> tpcompound result
Error in Command : tpcompound result
No Transfer Read
Besides, name of created offset shape is result_1, but not result.
Then, in final part of test there is command
sprops result
If result is wire, this command is meaningless.
Steps To ReproduceTry to replace input face "locate_data_file buc60782a.brep" by any face, for which offset can be created and run test.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024255closedbugmaster Failure of some test cases on OCCT vc9 win64 Release 

-  Notes
(0036305)
git (administrator)
2015-01-21 12:01

Branch CR24898 has been created by ski.

SHA-1: 399badc492229e32e75b109973f7b191e949a80c


Detailed log of new commits:

Author: ski
Date: Wed Jan 21 11:53:27 2015 +0300

    0024898: Test "bugs modalg_1 buc60782_1" is incorrect
    
    Test case was corrected.
(0036306)
ski (developer)
2015-01-21 12:06

Invalid part of test case "bugs modalg_1 buc60782_1" was corrected.

Face "buc60649a.brep" was taken for reproducing, test case works fine (value of length should be changed when test case will be OK).

Please, review.

(0036318)
ifv (developer)
2015-01-21 13:53

Test script is Ok, but
branch 24255_5 contains modifications, which allows to build offset for shape buc60782a.brep.
I think it is better to wait till 24255_5 will be integrated and set correct value for length.
(0038035)
git (administrator)
2015-03-03 12:58

Branch CR24898 has been updated forcibly by ski.

SHA-1: fb4b417d90eb04fd87ae716ab8865ca2cc6e35c9
(0038036)
ski (developer)
2015-03-03 13:01

Value for length in test case "bugs modalg_1 buc60782_1" was updated.
Test is OK, unnecessary TODOs were removed.
Please, review.
(0038037)
ifv (developer)
2015-03-03 13:05

Ok
(0038079)
apv (tester)
2015-03-04 14:59
edited on: 2015-03-04 14:59

Results of test-case bugs modalg_1 buc60782_1:
http://occt-tests/CR24898-master-occt-64/Debian60-64/bugs/modalg_1/buc60782_1.html [^]
http://occt-tests/CR24898-master-occt-64/Windows-64-VC10/bugs/modalg_1/buc60782_1.html [^]

(0038492)
git (administrator)
2015-03-18 13:32

Branch CR24898 has been deleted by inv.

SHA-1: fb4b417d90eb04fd87ae716ab8865ca2cc6e35c9

- Related Changesets
occt: master e94f2bfb
Timestamp: 2015-01-21 08:53:27
Author: ski
Committer: bugmaster
Details ] Diff ]
0024898: Test "bugs modalg_1 buc60782_1" is incorrect

Test case was corrected.
mod - tests/bugs/modalg_1/buc60782_1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-05 15:27 ifv New Issue
2014-05-05 15:27 ifv Assigned To => apn
2014-05-05 15:28 ifv Status new => assigned
2015-01-20 14:43 abv Assigned To apn => ski
2015-01-21 12:01 git Note Added: 0036305
2015-01-21 12:06 ski Note Added: 0036306
2015-01-21 12:06 ski Assigned To ski => ifv
2015-01-21 12:06 ski Status assigned => resolved
2015-01-21 13:53 ifv Note Added: 0036318
2015-01-21 13:53 ifv Status resolved => feedback
2015-01-21 13:54 ifv Assigned To ifv => ski
2015-02-10 08:46 abv Relationship added related to 0024255
2015-03-03 12:58 git Note Added: 0038035
2015-03-03 12:59 ski Status feedback => assigned
2015-03-03 13:01 ski Note Added: 0038036
2015-03-03 13:01 ski Assigned To ski => ifv
2015-03-03 13:01 ski Status assigned => resolved
2015-03-03 13:05 ifv Note Added: 0038037
2015-03-03 13:05 ifv Assigned To ifv => bugmaster
2015-03-03 13:05 ifv Status resolved => reviewed
2015-03-03 16:58 apv Assigned To bugmaster => apv
2015-03-04 14:56 apv Test case number => Not needed
2015-03-04 14:59 apv Note Added: 0038079
2015-03-04 14:59 apv Assigned To apv => bugmaster
2015-03-04 14:59 apv Status reviewed => tested
2015-03-04 14:59 apv Note Edited: 0038079 View Revisions
2015-03-06 15:13 bugmaster Changeset attached => occt master e94f2bfb
2015-03-06 15:13 bugmaster Status tested => verified
2015-03-06 15:13 bugmaster Resolution open => fixed
2015-03-10 12:59 bugmaster Target Version Unscheduled => 6.9.0
2015-03-18 13:32 git Note Added: 0038492
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker